---
title: Howto Tideways
---

Doc officielle : <https://support.tideways.com/>

Tideways est un APM pour les applications PHP. Il permet d'analyser des traces et repérer aisément d'où proviennent les lenteurs (requêtes SQL, appels externes, …).

# Installation

## Installer le paquet

~~~
# echo 'deb http://s3-eu-west-1.amazonaws.com/tideways/packages debian main' > /etc/apt/sources.list.d/tideways.list
# wget -qO - https://s3-eu-west-1.amazonaws.com/tideways/packages/EEB5E8F4.gpg | apt-key add -
# apt update
# apt install tideways-php tideways-daemon
~~~

Le paquet se charge d'activer le module PHP automatiquement.

## Activer la génération de traces pour un vhost

Créer une nouvelle application dans l'interface de Tideways et suivre les instructions. Par exemple pour un vhost Apache et un WordPress cela donnera les directives suivantes à placer dans le vhost :

~~~
SetEnv TIDEWAYS_APIKEY CléAPI
SetEnv TIDEWAYS_FRAMEWORK wordpress
SetEnv TIDEWAYS_SAMPLERATE 25
~~~

Si le framework n'est pas connu par Tideways, il suffit de ne pas mettre la directive.
La variable `TIDEWAYS_SAMPLERATE` permet de définir le taux de requêtes (pourcentage) qui sera analysé via le profiler Tideways.